package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.region.CloudVo;
import com.xhkjedu.sapi.vo.region.RSubjectVo;
import com.xhkjedu.sapi.vo.region.ResourceTypeVo;
import com.xhkjedu.sapi.vo.region.WorkVo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @className RegionAnalyzeMapper
 * @description
 * @date 2021/5/13 15:10
 **/
@Repository
public interface RegionAnalyzeMapper {
    //获取区平台信息
    CloudVo getCloudInfo();
    //获取资源、试题总量
    Map getResourceQuestionNum();

    //获取资源类型统计
    List<ResourceTypeVo> listResourceTypeNum();

    //获取试题科目统计
    List<RSubjectVo> listQuestionSubjectNum();

    //获取学校列表
    List<Map> listSchool();

    //获取学段班级、教师、学生总量
    List<Map> listClassTeacherStudentNum();
    //近一个月教学统计——作业提交率
    List<WorkVo> listPaperCommitMonth(Integer begintime, Integer endtime);
    //近一个月教学统计——预习提交率
    List<WorkVo> listGuideCommitMonth(Integer begintime, Integer endtime);
    //近一个月教学统计——背诵提交率
    List<WorkVo> listReciteCommitMonth(Integer begintime, Integer endtime);
    //近一个月教学统计——课堂出勤率
    List<Map> listRoomCommitMonth(Integer begintime, Integer endtime);


    //近一个月布置作业次数
    List<WorkVo> listPapernumMonth(Integer begintime, Integer endtime);

    //近一个月课堂使用情况统计——使用次数
    List<WorkVo> listRoomNumMonth(Integer begintime, Integer endtime);
    //近一个月课堂使用情况统计——课堂互动
    List<WorkVo> listRoomAskNumMonth(Integer begintime, Integer endtime);
    //近一个月课堂使用情况统计——课堂互动
    List<Map> listRoomAskNumMonth2(Integer begintime, Integer endtime);
}
